<template src="./index.htm"></template>

<script>

    import Vue from 'vue';
    import DeleteEntityMixin from '../../../mixins/entities/deleteEntityMixin.js';
    import DataTableComponent from '../../../datatable/DataTableComponent.vue';

    import { usersDataTableProps } from '../../../datatable/props/usersDataTableProps.js';

    Vue.component('data-table-component', DataTableComponent);

    export default {

        data() {

            return {}
        },

        mixins: [ usersDataTableProps, DeleteEntityMixin ],

        methods: {

            editUser(user) {

                this.$router.push({ name: 'edit', params: { id: user.id } });
            },


            deleteUser(user) {

                swalConfirm()
                    .then( (result) => {

                        if (result.value) {

                            this.deleteEntityMixin('users', user.id);
                        }
                    });
            }
        }
    }
</script>